org.apache.tools.zip

## Class UnicodePathExtraField

- java.lang.Object
- - org.apache.tools.zip.AbstractUnicodeExtraField
  - - org.apache.tools.zip.UnicodePathExtraField

All Implemented Interfaces:
  ZipExtraField

    public class UnicodePathExtraField
    extends AbstractUnicodeExtraField

Info-ZIP Unicode Path Extra Field (0x7075):

Stores the UTF-8 version of the file name field as stored in the local header and central directory header.

             Value         Size        Description
             -----         ----        -----------
     (UPath) 0x7075        Short       tag for this extra block type ("up")
             TSize         Short       total data size for this block
             Version       1 byte      version of this extra field, currently 1
             NameCRC32     4 bytes     File Name Field CRC32 Checksum
             UnicodeName   Variable    UTF-8 version of the entry File Name

### Field Summary

Fields
`static ZipShort` `UPATH_ID`

### Constructor Summary

Constructors
Constructor and Description
`UnicodePathExtraField()`
`UnicodePathExtraField(java.lang.String name, byte[] bytes)` Assemble as unicode path extension from the name given as text as well as the encoded bytes actually written to the archive.
`UnicodePathExtraField(java.lang.String text, byte[] bytes, int off, int len)` Assemble as unicode path extension from the name given as text as well as the encoded bytes actually written to the archive.

### Method Summary

Methods
`ZipShort` `getHeaderId()` The Header-ID.

### Methods inherited from class org.apache.tools.zip.AbstractUnicodeExtraField

`getCentralDirectoryData, getCentralDirectoryLength, getLocalFileDataData, getLocalFileDataLength, getNameCRC32, getUnicodeName, parseFromLocalFileData, setNameCRC32, setUnicodeName`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### UPATH_ID

    public static final ZipShort UPATH_ID

### Constructor Detail

#### UnicodePathExtraField

    public UnicodePathExtraField()

#### UnicodePathExtraField

    public UnicodePathExtraField(java.lang.String text,
                         byte[] bytes,
                         int off,
                         int len)

Assemble as unicode path extension from the name given as text as well as the encoded bytes actually written to the archive.

Parameters:
  `text` - The file name
  `bytes` - the bytes actually written to the archive
  `off` - The offset of the encoded filename in `bytes`.
  `len` - The length of the encoded filename or comment in `bytes`.

#### UnicodePathExtraField

    public UnicodePathExtraField(java.lang.String name,
                         byte[] bytes)

Assemble as unicode path extension from the name given as text as well as the encoded bytes actually written to the archive.

Parameters:
  `name` - The file name
  `bytes` - the bytes actually written to the archive

### Method Detail

#### getHeaderId

    public ZipShort getHeaderId()

Description copied from interface: `ZipExtraField`
The Header-ID.

Returns:
  the header id